<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Constantes.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Constantes.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_constantes_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-05-01.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJETCPPGL_CONSTANTES_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJETCPPGL_CONSTANTES_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="struct_constantes.html">   11</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_constantes.html">Constantes</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">   16</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">NB_LIGNES</a> = 19;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">   21</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">NB_COLONNES</a> = 19;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="struct_constantes.html#a719fa02ce204dba20ef6568c3b0322e0">   26</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="struct_constantes.html#a719fa02ce204dba20ef6568c3b0322e0">MILIEU_PLATEAU_X</a> = 9;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="struct_constantes.html#af91d0648df45671e4056a9ce2460aa00">   31</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="struct_constantes.html#af91d0648df45671e4056a9ce2460aa00">MILIEU_PLATEAU_Y</a> = 9;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="struct_constantes.html#a3d293d1c47bf3069fadc0054139fa61e">   36</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="struct_constantes.html#a3d293d1c47bf3069fadc0054139fa61e">NB_PIONS_JOUEUR</a> = 60;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif //PROJETCPPGL_CONSTANTES_HPP</span></div><div class="ttc" id="struct_constantes_html_a6973aaa853c692ea0af0954d4265b352"><div class="ttname"><a href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">Constantes::NB_LIGNES</a></div><div class="ttdeci">static const int NB_LIGNES</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:16</div></div>
<div class="ttc" id="struct_constantes_html_a719fa02ce204dba20ef6568c3b0322e0"><div class="ttname"><a href="struct_constantes.html#a719fa02ce204dba20ef6568c3b0322e0">Constantes::MILIEU_PLATEAU_X</a></div><div class="ttdeci">static const int MILIEU_PLATEAU_X</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:26</div></div>
<div class="ttc" id="struct_constantes_html_a86fda8179843edadeb33ad61c65bae21"><div class="ttname"><a href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">Constantes::NB_COLONNES</a></div><div class="ttdeci">static const int NB_COLONNES</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:21</div></div>
<div class="ttc" id="struct_constantes_html_a3d293d1c47bf3069fadc0054139fa61e"><div class="ttname"><a href="struct_constantes.html#a3d293d1c47bf3069fadc0054139fa61e">Constantes::NB_PIONS_JOUEUR</a></div><div class="ttdeci">static const int NB_PIONS_JOUEUR</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:36</div></div>
<div class="ttc" id="struct_constantes_html_af91d0648df45671e4056a9ce2460aa00"><div class="ttname"><a href="struct_constantes.html#af91d0648df45671e4056a9ce2460aa00">Constantes::MILIEU_PLATEAU_Y</a></div><div class="ttdeci">static const int MILIEU_PLATEAU_Y</div><div class="ttdef"><b>Definition:</b> Constantes.hpp:31</div></div>
<div class="ttc" id="struct_constantes_html"><div class="ttname"><a href="struct_constantes.html">Constantes</a></div><div class="ttdef"><b>Definition:</b> Constantes.hpp:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
